> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Hris Expenses Dashboard

> Paginated own expense reports by derived status with per-currency counts and amounts.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-my-hris-expenses-dashboard
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-my-hris-expenses-dashboard:
    get:
      operationId: getMyHrisExpensesDashboard
      summary: Get My Hris Expenses Dashboard
      description: >-
        Paginated own expense reports by derived status with per-currency counts
        and amounts.


        Not available to API keys.
      parameters:
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - PENDING
              - APPROVED
              - REIMBURSED
              - REJECTED
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 200
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMyHrisExpensesDashboardResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMyHrisExpensesDashboardResponse:
      type: object
      properties:
        totalCount:
          type: number
        reports:
          type: array
          items:
            type: object
            properties:
              hrisExpenseReportID:
                type: string
              roleInOrgID:
                type: string
              roleInOrgName:
                type:
                  - string
                  - 'null'
              roleInOrgEmail:
                type:
                  - string
                  - 'null'
              roleInOrgDepartment:
                type:
                  - string
                  - 'null'
              name:
                type: string
              status:
                type: string
              startDate:
                type:
                  - string
                  - 'null'
              endDate:
                type:
                  - string
                  - 'null'
              expensedCurrencyID:
                type:
                  - string
                  - 'null'
              expensedCurrencyCode:
                type:
                  - string
                  - 'null'
              expensedCurrencyName:
                type:
                  - string
                  - 'null'
              totalAmountInExpenseCurrency:
                type:
                  - string
                  - 'null'
              submittedAt:
                type:
                  - string
                  - 'null'
              approvedAt:
                type:
                  - string
                  - 'null'
              rejectedAt:
                type:
                  - string
                  - 'null'
              paidAt:
                type:
                  - string
                  - 'null'
              payoutStatus:
                type:
                  - string
                  - 'null'
              decisionUndoableUntil:
                type:
                  - string
                  - 'null'
              rejectionReason:
                type:
                  - string
                  - 'null'
              reviewComment:
                type:
                  - string
                  - 'null'
              createdAt:
                type:
                  - string
                  - 'null'
              updatedAt:
                type:
                  - string
                  - 'null'
              expenseCount:
                type: number
              categoryNames:
                type: array
                items:
                  type: string
              primaryExpenseCategoryName:
                type:
                  - string
                  - 'null'
              hasReceiptlessExpenses:
                type: boolean
              thirdPartyProvider:
                type:
                  - string
                  - 'null'
              thirdPartyReportID:
                type:
                  - string
                  - 'null'
              reimbursementSyncedAt:
                type:
                  - string
                  - 'null'
              reimbursementSyncError:
                type:
                  - string
                  - 'null'
            required:
              - hrisExpenseReportID
              - roleInOrgID
              - roleInOrgName
              - roleInOrgEmail
              - roleInOrgDepartment
              - name
              - status
              - startDate
              - endDate
              - expensedCurrencyID
              - expensedCurrencyCode
              - expensedCurrencyName
              - totalAmountInExpenseCurrency
              - submittedAt
              - approvedAt
              - rejectedAt
              - paidAt
              - payoutStatus
              - decisionUndoableUntil
              - rejectionReason
              - reviewComment
              - createdAt
              - updatedAt
              - expenseCount
              - categoryNames
              - primaryExpenseCategoryName
              - hasReceiptlessExpenses
              - thirdPartyProvider
              - thirdPartyReportID
              - reimbursementSyncedAt
              - reimbursementSyncError
        statusCounts:
          type: object
          properties:
            ALL:
              type: number
            PENDING:
              type: number
            APPROVED:
              type: number
            REIMBURSED:
              type: number
            REJECTED:
              type: number
          required:
            - ALL
            - PENDING
            - APPROVED
            - REIMBURSED
            - REJECTED
        dashboardSummary:
          type: object
          properties:
            totalSubmittedCount:
              type: number
            totalSubmittedAmounts:
              type: array
              items:
                type: object
                properties:
                  currencyCode:
                    type:
                      - string
                      - 'null'
                  amount:
                    type: string
                required:
                  - currencyCode
                  - amount
            pendingCount:
              type: number
            pendingAmounts:
              type: array
              items:
                type: object
                properties:
                  currencyCode:
                    type:
                      - string
                      - 'null'
                  amount:
                    type: string
                required:
                  - currencyCode
                  - amount
            approvedCount:
              type: number
            approvedAmounts:
              type: array
              items:
                type: object
                properties:
                  currencyCode:
                    type:
                      - string
                      - 'null'
                  amount:
                    type: string
                required:
                  - currencyCode
                  - amount
            reimbursedCount:
              type: number
            reimbursedAmounts:
              type: array
              items:
                type: object
                properties:
                  currencyCode:
                    type:
                      - string
                      - 'null'
                  amount:
                    type: string
                required:
                  - currencyCode
                  - amount
            rejectedCount:
              type: number
            rejectedAmounts:
              type: array
              items:
                type: object
                properties:
                  currencyCode:
                    type:
                      - string
                      - 'null'
                  amount:
                    type: string
                required:
                  - currencyCode
                  - amount
          required:
            - totalSubmittedCount
            - totalSubmittedAmounts
            - pendingCount
            - pendingAmounts
            - approvedCount
            - approvedAmounts
            - reimbursedCount
            - reimbursedAmounts
            - rejectedCount
            - rejectedAmounts
      required:
        - totalCount
        - reports
        - statusCounts
        - dashboardSummary
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
